% This code runs one cycle for some specified time length under some
%    acceleration.
alpha = 10/32; % Strength of lattice
nm = 9;        % Number of harmonics (from -nm to +nm)
v = 3;         % Max splitting velocity
T = 960;       % Time of cycle
acc = 0;       % Multiple of g to use for acceleration.

k = 0;
[~,B] = Bloch(alpha,nm,k);
psi_i = B(:,1);
phi_h = @(t)0;
tspan = [0 T];

g=5.4e-3;
acc = acc*g;

psi = splitstep(tspan,psi_i,phi_h,acc,v,alpha,nm);
psi = abs(psi).^2;

figure(1);
imagesc((0:0.1:1),-nm:1:nm,psi);
colorbar;
ylabel('Plane wave harmonics (2k_Lk)');
xlabel('Time (t/T)');
title(['One interferometric cycle for $T$ = ',num2str(T),' under acc. $a$ = ',num2str(acc),'$g$'],'Interpreter','latex');